Bug 857044 - USB stick of F18 does not boot (wrong path in grub)
USB stick of F18 does not boot (wrong path in grub)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 08:57 EDT by Josef Skladanka
Modified: 2016-09-19 22:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:43:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Skladanka 2012-09-13 08:57:22 EDT
Description of problem:
Created USB stick with F18 Alpha RC3, it shows grub menu, but does not boot, because the path is isolinux/... instead of syslinux/...

Program version:
liveusb-creator-3.11.7-1.fc17.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create USB stick with F18
2. Boot
3. Select firts option in Grub
  
Actual results:
Does not boot

Expected results:
Boots ;)
Comment 1 Mildred 2013-02-05 10:42:07 EST
I have the same error, there is a workaround though, edit the grub entry and replace isolinux by syslinux, but I suppose you must have found that already.

When I do this, I have another problem. dracut-initqueue fails because the filesystem label is different than the one specified in GRUB. The actual label is "LIVE" but in GRUB it appears as "Fedora-18-x86_64-Live-Desktop.is". It seems there is something wrong here as well.

in journalctl, the exact error message is:

dracut-initqueue[219]: Warning: /dev/disk/by-label/Fedora-18-x86_64-Live-Desktop.is does not exist

In GRUB, the linux parameter is root=LIVE:LABEL:Fedora-18-x86_64-Live-Desktop.is

It should be replaced by root=LABEL=LIVE
Comment 3 Fedora End Of Life 2013-07-04 03:01:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 14:44:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.